> ## Documentation Index
> Fetch the complete documentation index at: https://docs.osiro.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Post apiv2organizations ad copy



## OpenAPI

````yaml https://api.osiro.com/doc post /api/v2/organizations/{orgId}/ad-copy
openapi: 3.0.0
info:
  title: osiro API
  version: 2.0.0
servers: []
security: []
tags:
  - name: Funnel
    description: Public funnel rendering, submission, MFA, and analytics.
  - name: Booking
    description: A lead's cancel and reschedule of their booking, via the manage link.
  - name: Training
    description: Org-scoped sales-training catalogs, sessions, and call records.
  - name: Attribution
    description: Cross-domain PostHog identity handoff for the marketing site.
  - name: Billing
    description: Org-scoped checkouts, plans, trials and the Stripe billing portal.
  - name: Leads
    description: Org-scoped lead reads and actions.
  - name: Ad copy
    description: Org-scoped ad guidelines and Meta ad copy generation.
paths:
  /api/v2/organizations/{orgId}/ad-copy:
    post:
      tags:
        - Ad copy
      parameters:
        - schema:
            type: string
            format: uuid
          required: true
          name: orgId
          in: path
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                brief:
                  type: string
                  minLength: 1
                  maxLength: 4000
                variants:
                  type: integer
                  minimum: 1
                  maximum: 5
                  default: 1
              required:
                - brief
              additionalProperties: false
      responses:
        '200':
          description: >-
            Ready-to-paste Meta ads for the brief, written in the organization's
            ad guidelines
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GeneratedAdCopy'
        '400':
          description: Bad request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiError'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiError'
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiError'
        '404':
          description: Not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiError'
        '429':
          description: Rate limited
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiError'
        '500':
          description: Internal error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiError'
        '503':
          description: Service unavailable
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiError'
components:
  schemas:
    GeneratedAdCopy:
      type: object
      properties:
        ads:
          type: array
          items:
            type: object
            properties:
              headline:
                type: string
                minLength: 1
              primaryText:
                type: string
                minLength: 1
              callToActionType:
                type: string
                enum:
                  - LEARN_MORE
                  - APPLY_NOW
                  - SIGN_UP
                  - CONTACT_US
                  - GET_QUOTE
                  - BOOK_NOW
                  - SUBSCRIBE
                  - DOWNLOAD
                  - SHOP_NOW
                  - ORDER_NOW
                  - GET_OFFER
                  - GET_STARTED
                  - REQUEST_TIME
                  - CALL_NOW
                  - MESSAGE_PAGE
                  - WHATSAPP_MESSAGE
            required:
              - headline
              - primaryText
              - callToActionType
      required:
        - ads
    ApiError:
      type: object
      properties:
        error:
          type: object
          properties:
            code:
              type: string
            message:
              type: string
          required:
            - code
            - message
      required:
        - error

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.